package com.bonus.canteen.core.device.manage.controller.deprecated.vo.v2;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class MacTcpStateVo {
   @ApiModelProperty("设备编号")
   public String deviceNum;
   @ApiModelProperty("在线离线状态")
   private Integer onlineState;
   @ApiModelProperty("最后下发时间")
   private String lastSendTime;
   @ApiModelProperty("菜谱状态")
   private Integer menuState;
   @ApiModelProperty("菜谱发送状态   1等待下发   2下发中  3下发成功")
   private Integer recipeSendType;
   @ApiModelProperty("菜品名称")
   private String menuName;
   @ApiModelProperty("转换器ip只有在出品机时候用")
   private String deviceIp;
   @ApiModelProperty("设备更新菜谱时间")
   private LocalDateTime menuUpdateTime;
   @ApiModelProperty("设备更新菜谱时间")
   private Integer menuNo;
   @ApiModelProperty("天线状态")
   private String antennaState;
   @ApiModelProperty("设备版本号")
   private String deviceVersion;

   public String getDeviceNum() {
      return this.deviceNum;
   }

   public Integer getOnlineState() {
      return this.onlineState;
   }

   public String getLastSendTime() {
      return this.lastSendTime;
   }

   public Integer getMenuState() {
      return this.menuState;
   }

   public Integer getRecipeSendType() {
      return this.recipeSendType;
   }

   public String getMenuName() {
      return this.menuName;
   }

   public String getDeviceIp() {
      return this.deviceIp;
   }

   public LocalDateTime getMenuUpdateTime() {
      return this.menuUpdateTime;
   }

   public Integer getMenuNo() {
      return this.menuNo;
   }

   public String getAntennaState() {
      return this.antennaState;
   }

   public String getDeviceVersion() {
      return this.deviceVersion;
   }

   public void setDeviceNum(final String deviceNum) {
      this.deviceNum = deviceNum;
   }

   public void setOnlineState(final Integer onlineState) {
      this.onlineState = onlineState;
   }

   public void setLastSendTime(final String lastSendTime) {
      this.lastSendTime = lastSendTime;
   }

   public void setMenuState(final Integer menuState) {
      this.menuState = menuState;
   }

   public void setRecipeSendType(final Integer recipeSendType) {
      this.recipeSendType = recipeSendType;
   }

   public void setMenuName(final String menuName) {
      this.menuName = menuName;
   }

   public void setDeviceIp(final String deviceIp) {
      this.deviceIp = deviceIp;
   }

   public void setMenuUpdateTime(final LocalDateTime menuUpdateTime) {
      this.menuUpdateTime = menuUpdateTime;
   }

   public void setMenuNo(final Integer menuNo) {
      this.menuNo = menuNo;
   }

   public void setAntennaState(final String antennaState) {
      this.antennaState = antennaState;
   }

   public void setDeviceVersion(final String deviceVersion) {
      this.deviceVersion = deviceVersion;
   }

}
